#ifndef PIPIXMAPX_H_SEEN
#define PIPIXMAPX_H_SEEN

#include "pipixmapgen.h"

class PIPixmapX : public PIPixmapGen {

public:
                PIPixmapX(PIContainerGen *par, char *nom,
                         int sx=10, int sy=10, int px=0, int py=0);
  virtual      ~PIPixmapX();

  virtual void  Refresh();
  virtual void  Resize();
  virtual void  Draw(PIGraphic* g, int x0, int y0, int dx, int dy);


protected:
  void          Init();
  void          AllocXImg();
  XImage * myximg;  
};

typedef PIPixmapX PIPixmap;


#endif
